For the complete documentation index, see llms.txt. This page is also available as Markdown.

Scheduled Messages

Scheduled Messages Management

Get Scheduled Message

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scheduledMessageIdstringRequired
Responses
200

Success

application/json
get/scheduled/{scheduledMessageId}
GET /v3/scheduled/{scheduledMessageId} HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "id": 1,
    "accountId": 1,
    "numberIds": [
      "text"
    ],
    "subscriberIds": [
      1
    ],
    "groupIds": [
      "text"
    ],
    "allSubscribers": 1,
    "message": "text",
    "url": "text",
    "scheduledDate": "2026-01-01T00:00:00.000Z",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "repeatMessage": 1,
    "repeatDays": [
      1
    ],
    "repeatMonthType": "text",
    "excludedGroupIds": [
      "text"
    ],
    "header": "text",
    "footer": "text",
    "threadId": 1,
    "filterClicks": 1,
    "properties": {
      "ANY_ADDITIONAL_PROPERTY": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    },
    "recipients": "text",
    "isMMS": true,
    "longcodeId": 1,
    "longcode": 1,
    "userId": 1,
    "userDescription": "text",
    "customRepeatFrequencyType": 1,
    "customRepeatFrequency": 1,
    "customRepeatDays": [
      1
    ],
    "customEndMessageType": 1,
    "customEndMessageDate": "text",
    "customEndMessageOccurrences": 1
  }
}

Update Scheduled Message

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scheduledMessageIdstringRequired
Body
messagestringOptional
numberIdsnumber[]Optional
groupIdsnumber[]Optional
allSubscribersbooleanOptional
excludedGroupIdsnumber[]Optional
scheduledDatestringOptional
imagestring · nullableOptional
repeatMessagenumberOptional
repeatDaysnumber[]Optional
repeatMonthTypestring · nullableOptional
headerstringOptional
footerstringOptional
templateIdnumberOptional
Responses
200

Success

application/json
patch/scheduled/{scheduledMessageId}
PATCH /v3/scheduled/{scheduledMessageId} HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 239

{
  "message": "text",
  "numberIds": [
    1
  ],
  "groupIds": [
    1
  ],
  "allSubscribers": true,
  "excludedGroupIds": [
    1
  ],
  "scheduledDate": "text",
  "image": "text",
  "repeatMessage": 1,
  "repeatDays": [
    1
  ],
  "repeatMonthType": "text",
  "header": "text",
  "footer": "text",
  "templateId": 1
}
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "id": 1,
    "accountId": 1,
    "numberIds": [
      "text"
    ],
    "subscriberIds": [
      1
    ],
    "groupIds": [
      "text"
    ],
    "allSubscribers": 1,
    "message": "text",
    "url": "text",
    "scheduledDate": "2026-01-01T00:00:00.000Z",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "repeatMessage": 1,
    "repeatDays": [
      1
    ],
    "repeatMonthType": "text",
    "excludedGroupIds": [
      "text"
    ],
    "header": "text",
    "footer": "text",
    "threadId": 1,
    "filterClicks": 1,
    "properties": {
      "ANY_ADDITIONAL_PROPERTY": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    },
    "recipients": "text",
    "isMMS": true,
    "longcodeId": 1,
    "longcode": 1,
    "userId": 1,
    "userDescription": "text",
    "customRepeatFrequencyType": 1,
    "customRepeatFrequency": 1,
    "customRepeatDays": [
      1
    ],
    "customEndMessageType": 1,
    "customEndMessageDate": "text",
    "customEndMessageOccurrences": 1
  }
}

Delete Scheduled Message

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scheduledMessageIdstringRequired
Body
isMMSbooleanOptional
Responses
200

Success

application/json
post/scheduled/{scheduledMessageId}
POST /v3/scheduled/{scheduledMessageId} HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 14

{
  "isMMS": true
}
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": null
}

List Scheduled Messages

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pagenumberOptional
pageSizenumberOptional
sortDirectionstring · enumOptionalPossible values:
querystringOptional
sortBystringOptional
Responses
200

Success

application/json
get/scheduled
GET /v3/scheduled HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "rows": [
      {
        "id": 1,
        "accountId": 1,
        "numberIds": [
          "text"
        ],
        "subscriberIds": [
          1
        ],
        "groupIds": [
          "text"
        ],
        "allSubscribers": 1,
        "message": "text",
        "url": "text",
        "scheduledDate": "2026-01-01T00:00:00.000Z",
        "timestamp": "2026-01-01T00:00:00.000Z",
        "repeatMessage": 1,
        "repeatDays": [
          1
        ],
        "repeatMonthType": "text",
        "excludedGroupIds": [
          "text"
        ],
        "header": "text",
        "footer": "text",
        "threadId": 1,
        "filterClicks": 1,
        "properties": {
          "ANY_ADDITIONAL_PROPERTY": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          }
        },
        "recipients": "text",
        "isMMS": true,
        "longcodeId": 1,
        "longcode": 1,
        "userId": 1,
        "userDescription": "text",
        "customRepeatFrequencyType": 1,
        "customRepeatFrequency": 1,
        "customRepeatDays": [
          1
        ],
        "customEndMessageType": 1,
        "customEndMessageDate": "text",
        "customEndMessageOccurrences": 1
      }
    ],
    "page": 1,
    "pageSize": 1,
    "total": 1
  }
}

Get Scheduled Message Calendar

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
yearstringRequired
monthstringRequired
Query parameters
querystringOptional
Responses
200

Success

application/json
get/scheduled/calendar/{year}/{month}
GET /v3/scheduled/calendar/{year}/{month} HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": [
    {
      "day": "text",
      "messages": [
        {
          "id": 1,
          "accountId": 1,
          "numberIds": [
            "text"
          ],
          "subscriberIds": [
            1
          ],
          "groupIds": [
            "text"
          ],
          "allSubscribers": 1,
          "message": "text",
          "url": "text",
          "scheduledDate": "2026-01-01T00:00:00.000Z",
          "timestamp": "2026-01-01T00:00:00.000Z",
          "repeatMessage": 1,
          "repeatDays": [
            1
          ],
          "repeatMonthType": "text",
          "excludedGroupIds": [
            "text"
          ],
          "header": "text",
          "footer": "text",
          "threadId": 1,
          "filterClicks": 1,
          "properties": {
            "ANY_ADDITIONAL_PROPERTY": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            }
          },
          "recipients": "text",
          "isMMS": true,
          "longcodeId": 1,
          "longcode": 1,
          "userId": 1,
          "userDescription": "text",
          "customRepeatFrequencyType": 1,
          "customRepeatFrequency": 1,
          "customRepeatDays": [
            1
          ],
          "customEndMessageType": 1,
          "customEndMessageDate": "text",
          "customEndMessageOccurrences": 1
        }
      ]
    }
  ]
}

Get Scheduled Message Recipients

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scheduledMessageIdstringRequired
Query parameters
pagenumberOptional
pageSizenumberOptional
sortDirectionstring · enumOptionalPossible values:
querystringOptional
sortBystringOptional
Responses
200

Success

application/json
get/scheduled/{scheduledMessageId}/recipients
GET /v3/scheduled/{scheduledMessageId}/recipients HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "rows": [
      {
        "id": 1,
        "firstName": "text",
        "lastName": "text",
        "number": "text",
        "email": "text",
        "groupName": "text",
        "memberCount": 1
      }
    ],
    "page": 1,
    "pageSize": 1,
    "total": 1
  }
}

Delete Scheduled Messages for Number

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
numberstringRequired
Responses
200

Success

application/json
delete/scheduled/number/{number}
DELETE /v3/scheduled/number/{number} HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": null
}

Last updated

Was this helpful?